### Method

# Gtk ConstraintGuide set_max_size

#### Declaration [src]

    void
    gtk_constraint_guide_set_max_size (
      GtkConstraintGuide* guide,
      int width,
      int height
    )

#### Description [src]

Sets the maximum size of `guide`.

If `guide` is attached to a `GtkConstraintLayout`, the constraints will be updated to reflect the new size.

#### Parameters

`width` | `int`
| The new maximum width, or -1 to not change it.
`height` | `int`
| The new maximum height, or -1 to not change it.